# Teams API Documentation

## **Create Computers**

<mark style="color:green;">`POST`</mark> `/organization-management/v1/seats`

This endpoint allows you to create computer(s) with selected configurations.

#### Request Body

```json
{
  "seat_plan_id": 999999, // Contact Vagon team to learn Plan ID options.
  "quantity": 1,
  "software_ids": [],
  "base_image_id": null,
  "permissions": {
    "public_internet_access": true,
    "can_download_from_vagon_workstation": true,
    "analytics_collection_enabled": false,
    "clipboard_enabled": true,
    "screen_recording_enabled": false,
    "input_recording_enabled": false
  }
}
```

<table><thead><tr><th width="329.91796875">Name</th><th width="123.046875">Type</th><th>Description</th></tr></thead><tbody><tr><td>seat_plan_id</td><td>integer</td><td>Contact Vagon team to learn Plan ID options.</td></tr><tr><td>quantity</td><td>integer</td><td>Number of the computers</td></tr><tr><td>software_ids</td><td>array of integer</td><td>Apps to be preinstalled to computers, check <strong>List Preinstall Applications &#x26; Images</strong> endpoint</td></tr><tr><td>base_image_id</td><td>integer</td><td>Base image selection for computers, check <strong>List Preinstall Applications &#x26; Images</strong> endpoint</td></tr><tr><td>permissions.public_internet_access</td><td>boolean</td><td>Ability to access internet inside computers, default  <code>true</code></td></tr><tr><td>permissions.can_download_from_vagon_workstation</td><td>boolean</td><td>Ability to download files from computers, default <code>true</code></td></tr><tr><td>permissions.analytics_collection_enabled</td><td>boolean</td><td>Enhanced app usage analytics for computers, default <code>false</code></td></tr><tr><td>permissions.clipboard_enabled</td><td>boolean</td><td>Copy &#x26; paste functionality inside computers, default <code>true</code></td></tr><tr><td>permissions.screen_recording_enabled</td><td>boolean</td><td>Session recording for computers, default <code>false</code></td></tr><tr><td>permissions.input_recording_enabled</td><td>boolean</td><td>Mouse &#x26; keyboard action logging, default <code>false</code></td></tr></tbody></table>

#### Headers

<table><thead><tr><th width="191">Name</th><th width="367">Type</th><th>Description</th></tr></thead><tbody><tr><td>Authorization<mark style="color:red;">*</mark></td><td>HMAC {key}:{signature}:{nonce}:{timestamp}</td><td></td></tr><tr><td>Content-Type</td><td>application/json</td><td></td></tr></tbody></table>

{% tabs %}
{% tab title="200: OK " %}
{% code fullWidth="false" %}

```json
{
    "client_code": 200,
    "timestamp": "2026-01-09T13:30:52Z"
}
```

{% endcode %}
{% endtab %}
{% endtabs %}

## **List Preinstall Applications & Images**

<mark style="color:blue;">`GET`</mark> `/organization-management/v1/software`

List of the applications and base images that can be used while creating computers. Selected plan disk storage size should be larger than the total size of the selected images and the base image (golden image).

Only a single base image(golden image) can be selected at the same time.

#### Headers

<table><thead><tr><th width="192">Name</th><th width="367">Type</th><th>Description</th></tr></thead><tbody><tr><td>Authorization<mark style="color:red;">*</mark></td><td>HMAC {key}:{signature}:{nonce}:{timestamp}</td><td></td></tr><tr><td>Content-Type</td><td>application/json</td><td></td></tr></tbody></table>

{% tabs %}
{% tab title="200: OK " %}

```json
{
    "softwares": [
        {
            "id": "33",
            "type": "software",
            "attributes": {
                "id": 33,
                "name": "Blender",
                "size": 1.4
            }
        },
        {
            "id": "36",
            "type": "software",
            "attributes": {
                "id": 36,
                "name": "Cinema 4D",
                "size": 3.0
            }
        },
        {
            "id": "37",
            "type": "software",
            "attributes": {
                "id": 37,
                "name": "CLO3D",
                "size": 3.0
            }
        },
    ],
    "golden_images": [
        {
            "id": "94",
            "type": "golden_image",
            "attributes": {
                "id": 94,
                "name": "Video Production",
                "size": 59.0
            }
        },
        {
            "id": "95",
            "type": "golden_image",
            "attributes": {
                "id": 95,
                "name": "Unreal Engine Bundle",
                "size": 110.0
            }
        }
    ],
    "client_code": 200,
    "timestamp": "2026-01-14T15:01:30Z"
}
```

{% endtab %}
{% endtabs %}

## **List Computers**

<mark style="color:blue;">`GET`</mark> `/organization-management/v1/seats`

#### Query Parameters

<table><thead><tr><th width="161">Name</th><th width="256">Value</th><th>Description</th></tr></thead><tbody><tr><td>page<mark style="color:red;">*</mark></td><td>1</td><td>Page number (optional)</td></tr><tr><td>per_page<mark style="color:red;">*</mark></td><td>100</td><td>Items per page (optional)</td></tr><tr><td>q</td><td></td><td>Items per page (optional)</td></tr></tbody></table>

#### Headers

<table><thead><tr><th width="192">Name</th><th width="367">Type</th><th>Description</th></tr></thead><tbody><tr><td>Authorization<mark style="color:red;">*</mark></td><td>HMAC {key}:{signature}:{nonce}:{timestamp}</td><td></td></tr><tr><td>Content-Type</td><td>application/json</td><td></td></tr></tbody></table>

{% tabs %}
{% tab title="200: OK " %}

```json
{
  "seats": [
    {
      "id": "668",
      "type": "seat",
      "attributes": {
        "status": "active",
        "auto_stop_threshold": 900,
        "file_storage_size": 25,
        "disk_size": 75,
        "network_credit": 10637356601,
        "remaining_usage": 1514,
        "deposited_usage": 0,
        "name": "Computer #668",
        "friendly_status": "off",
        "permissions": {
            "public_internet_access": true,
            "can_download_from_vagon_workstation": true,
            "analytics_collection_enabled": false,
            "clipboard_enabled": true,
            "screen_recording_enabled": false,
            "input_recording_enabled": false
        },
        "user": {
          "id": "c336bb9a-d27e-449b-9a9f-1388c8e327ef",
          "type": "user",
          "attributes": {
            "email": "jane@amazingdesign.co",
            "name": "Jane Doe"
          }
        },
        "machine": {
          "id": "568",
          "type": "machine",
          "attributes": {
            "status": "stopped",
            "name": "Computer #668",
            "region": "dublin",
            "last_session_start_at": "2025-09-30T07:29:37.108Z",
            "machine_type": "Lake"
          }
        }
      }
    }
  ],
  "count": 1,
  "page": 1,
  "next_page": null,
  "client_code": 200,
  "timestamp": "2025-09-30T10:35:16Z"
}
```

{% endtab %}

{% tab title="404: Not Found" %}

```json
{
  "message": "Not Found",
  "client_code": 404,
  "timestamp": "2024-03-27T10:11:43Z"
}
```

{% endtab %}

{% tab title="401: Unauthorized " %}

```json
```

{% endtab %}
{% endtabs %}

## **Start Computer**

<mark style="color:green;">`POST`</mark> `/organization-management/v1/machines/{machine-id}/start`

<table><thead><tr><th width="161">Name</th><th width="124.796875">Value</th><th>Description</th></tr></thead><tbody><tr><td>machine_id</td><td>100</td><td>Can be got from List Computers endpoint.</td></tr></tbody></table>

#### Headers

<table><thead><tr><th width="191">Name</th><th width="367">Type</th><th>Description</th></tr></thead><tbody><tr><td>Authorization<mark style="color:red;">*</mark></td><td>HMAC {key}:{signature}:{nonce}:{timestamp}</td><td></td></tr><tr><td>Content-Type</td><td>application/json</td><td></td></tr></tbody></table>

{% tabs %}
{% tab title="200: OK " %}

```json
{
  "client_code": 200,
  "timestamp": "2025-09-30T11:19:55Z"
}
```

{% endtab %}
{% endtabs %}

## **List Available Performance Types**

<mark style="color:blue;">`GET`</mark> `/organization-management/v1/machines/{seat-id}/available-machine-types`

#### Path Parameters

<table><thead><tr><th width="161">Name</th><th width="124.796875">Value</th><th>Description</th></tr></thead><tbody><tr><td>seat_id</td><td>100</td><td>Can be got from List Computers endpoint.</td></tr></tbody></table>

#### Headers

<table><thead><tr><th width="191">Name</th><th width="367">Type</th><th>Description</th></tr></thead><tbody><tr><td>Authorization<mark style="color:red;">*</mark></td><td>HMAC {key}:{signature}:{nonce}:{timestamp}</td><td></td></tr><tr><td>Content-Type</td><td>application/json</td><td></td></tr></tbody></table>

{% tabs %}
{% tab title="200: OK " %}

```json
{
  "client_code": 200,
  "timestamp": "2025-09-30T11:19:55Z"
}
```

{% endtab %}
{% endtabs %}

## **Set Performance Type**

<mark style="color:green;">`POST`</mark> `/organization-management/v1/machines/{machine-id}/machine-type`

#### Path Parameters

<table><thead><tr><th width="161">Name</th><th width="124.796875">Value</th><th>Description</th></tr></thead><tbody><tr><td>machine_type_id<mark style="color:red;">*</mark></td><td>5</td><td>Parameter options can be got via Get Available Performance Types endpoint. Check <a href="https://vagon.io/pricing">link</a> for the performance specs &#x26; pricings.</td></tr></tbody></table>

#### Headers

<table><thead><tr><th width="191">Name</th><th width="367">Type</th><th>Description</th></tr></thead><tbody><tr><td>Authorization<mark style="color:red;">*</mark></td><td>HMAC {key}:{signature}:{nonce}:{timestamp}</td><td></td></tr><tr><td>Content-Type</td><td>application/json</td><td></td></tr></tbody></table>

{% tabs %}
{% tab title="200: OK " %}

```json
{
  "client_code": 200,
  "timestamp": "2025-09-30T11:19:55Z"
}
```

{% endtab %}
{% endtabs %}

## **Stop Computer**

<mark style="color:green;">`POST`</mark> `/organization-management/v1/machines/{machine-id}/stop`

#### Path Parameters

<table><thead><tr><th width="161">Name</th><th width="126.70703125">Value</th><th>Description</th></tr></thead><tbody><tr><td>machine_id</td><td>100</td><td>Can be got from List Computers endpoint.</td></tr></tbody></table>

#### Request Body

```json
{
    "gracefully": true
}
```

<table><thead><tr><th width="146.125">Name</th><th width="137.87109375">Type</th><th>Description</th></tr></thead><tbody><tr><td>gracefully</td><td>boolean</td><td>optional, use to prevent any file interruptions.</td></tr></tbody></table>

#### Headers

<table><thead><tr><th width="191">Name</th><th width="367">Type</th><th>Description</th></tr></thead><tbody><tr><td>Authorization<mark style="color:red;">*</mark></td><td>HMAC {key}:{signature}:{nonce}:{timestamp}</td><td></td></tr><tr><td>Content-Type</td><td>application/json</td><td></td></tr></tbody></table>

{% tabs %}
{% tab title="200: OK " %}

```json
{
  "client_code": 200,
  "timestamp": "2025-09-30T11:19:55Z"
}
```

{% endtab %}
{% endtabs %}

## **Get Access Link for Team Computer**

<mark style="color:green;">`POST`</mark> `/organization-management/v1/machines/{machine-id}/access`

#### Path Parameters

<table><thead><tr><th width="161">Name</th><th width="102.55859375">Value</th><th>Description</th></tr></thead><tbody><tr><td>machine_id</td><td>100</td><td>Can be got from List Computers endpoint.</td></tr></tbody></table>

#### Headers

<table><thead><tr><th width="191">Name</th><th width="367">Type</th><th>Description</th></tr></thead><tbody><tr><td>Authorization<mark style="color:red;">*</mark></td><td>HMAC {key}:{signature}:{nonce}:{timestamp}</td><td></td></tr><tr><td>Content-Type</td><td>application/json</td><td></td></tr></tbody></table>

#### Request Body

| Name        | Type    | Description |
| ----------- | ------- | ----------- |
| expires\_in | integer | minutes     |

{% tabs %}
{% tab title="200: OK " %}

```json
{
  "id": "1",
  "type": "machine_external_access",
  "attributes": {
    "uid": "62ba2d60-5ee2-46c7-aa64-957da90ef117",
    "expires_at": "2024-10-01T04:00:06.307Z",
    "connection_link": "https://app.vagon.io/team/session/62ba2d60-5ee2-46c7-aa64-957da90ef117"
  },
  "client_code": 200,
  "timestamp": "2025-09-30T11:20:06Z"
}
```

{% endtab %}
{% endtabs %}

## **Reset Computer to Initial State**

<mark style="color:green;">`POST`</mark> `/organization-management/v1/machines/{machine-id}/reset`

Reset all files and data inside the computer, and revert it to the initial machine image state.

#### Path Parameters

<table><thead><tr><th width="161">Name</th><th width="133.94921875">Value</th><th>Description</th></tr></thead><tbody><tr><td>machine_id</td><td>100</td><td>Can be got from List Computers endpoint.</td></tr></tbody></table>

#### Headers

<table><thead><tr><th width="191">Name</th><th width="367">Type</th><th>Description</th></tr></thead><tbody><tr><td>Authorization<mark style="color:red;">*</mark></td><td>HMAC {key}:{signature}:{nonce}:{timestamp}</td><td></td></tr><tr><td>Content-Type</td><td>application/json</td><td></td></tr></tbody></table>

{% tabs %}
{% tab title="200: OK " %}
{% code fullWidth="false" %}

```json
{
    "client_code": 200,
    "timestamp": "2026-01-14T15:13:17Z"
}
```

{% endcode %}
{% endtab %}
{% endtabs %}

## **List Files & Folders in Computer**

<mark style="color:green;">`POST`</mark> `/organization-management/v1/seats/{seat-id}/list-content`

#### Path Parameters

<table><thead><tr><th width="161">Name</th><th width="133.94921875">Value</th><th>Description</th></tr></thead><tbody><tr><td>seat_id</td><td>100</td><td>Can be got from List Computers endpoint.</td></tr></tbody></table>

#### Headers

<table><thead><tr><th width="191">Name</th><th width="367">Type</th><th>Description</th></tr></thead><tbody><tr><td>Authorization<mark style="color:red;">*</mark></td><td>HMAC {key}:{signature}:{nonce}:{timestamp}</td><td></td></tr><tr><td>Content-Type</td><td>application/json</td><td></td></tr></tbody></table>

#### Request Body

```json
{
  "path": "C:\\Users"
}
```

| Name | Type   | Description       |
| ---- | ------ | ----------------- |
| path | string | "C:\\\Users"&#xD; |

{% tabs %}
{% tab title="200: OK " %}
{% code fullWidth="false" %}

```json
{
  "content": [
    {
      "path": "C:\\Sample Folder",
      "name": "Sample Folder",
      "is_directory": true
    },
    {
      "path": "",
      "name": "sample.json",
      "is_directory": false
    }
  ],
  "client_code": 200,
  "timestamp": "2025-10-08T11:31:48Z"
}
```

{% endcode %}
{% endtab %}
{% endtabs %}

## **List Individual Files & Folders in Vagon Files**

<mark style="color:blue;">`GET`</mark> `/organization-management/v1/seats/{seat-id}/files`

#### Query Parameters

<table><thead><tr><th width="161">Name</th><th width="133.94921875">Value</th><th>Description</th></tr></thead><tbody><tr><td>parent_id</td><td>0</td><td>Parent folder ID (0 for root)</td></tr><tr><td>page</td><td>1</td><td>Page number (optional)</td></tr><tr><td>per_page</td><td>20</td><td>Items per page (optional)</td></tr><tr><td>q</td><td></td><td>Search query (optional)</td></tr></tbody></table>

#### Path Parameters

<table><thead><tr><th width="161">Name</th><th width="133.94921875">Value</th><th>Description</th></tr></thead><tbody><tr><td>seat_id</td><td>100</td><td>Can be got from List Computers endpoint.</td></tr></tbody></table>

#### Headers

<table><thead><tr><th width="191">Name</th><th width="367">Type</th><th>Description</th></tr></thead><tbody><tr><td>Authorization<mark style="color:red;">*</mark></td><td>HMAC {key}:{signature}:{nonce}:{timestamp}</td><td></td></tr><tr><td>Content-Type</td><td>application/json</td><td></td></tr></tbody></table>

{% tabs %}
{% tab title="200: OK " %}
{% code fullWidth="false" %}

```json
{
    "files": [
        {
            "id": "1507",
            "type": "file",
            "attributes": {
                "name": "Computer #592 Folder",
                "size": 0,
                "content_type": "directory",
                "uid": "0c642b3a-b7af-44c1-8e73-ab229a277138",
                "region": "dublin",
                "status": "upload_completed",
                "object_type": "root",
                "path": null,
                "parent_id": null,
                "last_modified_date": null,
                "organization_seat_id": 592,
                "file_storage_size": 26843545600,
                "file_storage_usage": 0
            }
        }
    ],
    "current": {
        "id": "1507",
        "type": "file",
        "attributes": {
            "name": "Computer #592 Folder",
            "size": 0,
            "content_type": "directory",
            "uid": "0c642b3a-b7af-44c1-8e73-ab229a277138",
            "region": "dublin",
            "status": "upload_completed",
            "object_type": "root",
            "path": null,
            "parent_id": null,
            "last_modified_date": null,
            "organization_seat_id": 592,
            "file_storage_size": 26843545600,
            "file_storage_usage": 0
        }
    },
    "count": 1,
    "page": 1,
    "next_page": null,
    "client_code": 200,
    "timestamp": "2026-01-09T13:22:41Z"
}
```

{% endcode %}
{% endtab %}
{% endtabs %}

## **List Shared Files & Folders in Vagon Files**

<mark style="color:blue;">`GET`</mark> `/organization-management/v1/files`

#### Query Parameters

<table><thead><tr><th width="161">Name</th><th width="133.94921875">Value</th><th>Description</th></tr></thead><tbody><tr><td>parent_id</td><td>0</td><td>Parent folder ID (0 for root)</td></tr><tr><td>page</td><td>1</td><td>Page number (optional)</td></tr><tr><td>per_page</td><td>20</td><td>Items per page (optional)</td></tr><tr><td>q</td><td></td><td>Search query (optional)</td></tr></tbody></table>

#### Headers

<table><thead><tr><th width="191">Name</th><th width="367">Type</th><th>Description</th></tr></thead><tbody><tr><td>Authorization<mark style="color:red;">*</mark></td><td>HMAC {key}:{signature}:{nonce}:{timestamp}</td><td></td></tr><tr><td>Content-Type</td><td>application/json</td><td></td></tr></tbody></table>

{% tabs %}
{% tab title="200: OK " %}
{% code fullWidth="false" %}

```json
{
    "files": [
        {
            "id": "1508",
            "type": "file",
            "attributes": {
                "name": "Teams Shared Folder",
                "size": 0,
                "content_type": "directory",
                "uid": "fd54f58c-5b4c-4dca-95d0-99ed7a7ea2bc",
                "region": "dublin",
                "status": "upload_completed",
                "object_type": "root",
                "path": null,
                "parent_id": null,
                "last_modified_date": null,
                "organization_seat_id": null,
                "file_storage_size": 5368709120,
                "file_storage_usage": 0
            }
        },
        {
            "id": "1507",
            "type": "file",
            "attributes": {
                "name": "Computer #592 Folder",
                "size": 0,
                "content_type": "directory",
                "uid": "0c642b3a-b7af-44c1-8e73-ab229a277138",
                "region": "dublin",
                "status": "upload_completed",
                "object_type": "root",
                "path": null,
                "parent_id": null,
                "last_modified_date": null,
                "organization_seat_id": 592,
                "file_storage_size": 26843545600,
                "file_storage_usage": 0
            }
        }
    ],
    "current": {
        "id": "1508",
        "type": "file",
        "attributes": {
            "name": "Teams Shared Folder",
            "size": 0,
            "content_type": "directory",
            "uid": "fd54f58c-5b4c-4dca-95d0-99ed7a7ea2bc",
            "region": "dublin",
            "status": "upload_completed",
            "object_type": "root",
            "path": null,
            "parent_id": null,
            "last_modified_date": null,
            "organization_seat_id": null,
            "file_storage_size": 5368709120,
            "file_storage_usage": 0
        }
    },
    "count": 2,
    "page": 1,
    "next_page": null,
    "client_code": 200,
    "timestamp": "2026-01-09T13:23:50Z"
}
```

{% endcode %}
{% endtab %}
{% endtabs %}

## **Generate Download Link for a File**

<mark style="color:blue;">`GET`</mark> `/organization-management/v1/files/{file-id}/download`&#x20;

This endpoint only works for the files inside Vagon Files and Shared Vagon Files Folders.

<table><thead><tr><th width="161">Name</th><th width="133.94921875">Value</th><th>Description</th></tr></thead><tbody><tr><td>file_id</td><td>250</td><td>File id of the file would like to download.</td></tr></tbody></table>

#### Headers

<table><thead><tr><th width="191">Name</th><th width="367">Type</th><th>Description</th></tr></thead><tbody><tr><td>Authorization<mark style="color:red;">*</mark></td><td>HMAC {key}:{signature}:{nonce}:{timestamp}</td><td></td></tr><tr><td>Content-Type</td><td>application/json</td><td></td></tr></tbody></table>

{% tabs %}
{% tab title="200: OK " %}
{% code fullWidth="false" %}

```json
{
    "url": "https://sb-vagon-file-manager-dublin.s3.eu-west-1.amazonaws.com/323/592/1767965315/image%20%2822%29.png?response-content-disposition=attachment%3B%20filename%3Dimage-22.png&x-amz-checksum-mode=ENABLED&X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=ASIASKYTEWIYPSXYJGRJ%2F20260109%2Feu-west-1%2Fs3%2Faws4_request&X-Amz-Date=20260109T132853Z&X-Amz-Expires=900&X-Amz-Security-Token=IQoJb3JpZ2luX2V",
    "name": "image.png",
    "content_type": "image/png",
    "client_code": 200,
    "timestamp": "2026-01-09T13:28:53Z"
}
```

{% endcode %}
{% endtab %}
{% endtabs %}

## **Delete File from Vagon Files**

<mark style="color:red;">`DELETE`</mark> `/organization-management/v1/files/{file-id}`

This endpoint only works for the files inside Vagon Files and Shared Vagon Files Folders.

#### Path Parameters

<table><thead><tr><th width="161">Name</th><th width="133.94921875">Value</th><th>Description</th></tr></thead><tbody><tr><td>file_id</td><td>250</td><td>File id of the file would like to download.</td></tr></tbody></table>

#### Headers

<table><thead><tr><th width="191">Name</th><th width="367">Type</th><th>Description</th></tr></thead><tbody><tr><td>Authorization<mark style="color:red;">*</mark></td><td>HMAC {key}:{signature}:{nonce}:{timestamp}</td><td></td></tr><tr><td>Content-Type</td><td>application/json</td><td></td></tr></tbody></table>

{% tabs %}
{% tab title="200: OK " %}
{% code fullWidth="false" %}

```json
{
    "client_code": 200,
    "timestamp": "2026-01-09T13:30:52Z"
}
```

{% endcode %}
{% endtab %}
{% endtabs %}

## **Get Administrative Logs**

<mark style="color:blue;">`GET`</mark> `/organization-management/v1/user-action-logs`

Get administrative and user-level action logs for the last 30 days. This feature is available upon request.

#### Query Parameters

<table><thead><tr><th width="226.05078125">Name</th><th width="133.94921875">Type / Value</th><th>Description</th></tr></thead><tbody><tr><td>start_date</td><td>2026-01-01T00:00:00Z</td><td>(Required) Start date. ISO 8601 format (e.g., 2024-01-01T00:00:00Z)</td></tr><tr><td>end_date</td><td>2026-01-31T23:59:59Z</td><td>(Required) End date. ISO 8601 format. Must be after start_date.</td></tr><tr><td>action_type</td><td></td><td>(Optional) Action type filter. e.g., machine_started, machine_stopped, file_downloaded</td></tr><tr><td>user_email</td><td></td><td>(Optional) Filter by user email</td></tr><tr><td>organization_machine_id</td><td></td><td>(Optional) Filter by machine ID</td></tr></tbody></table>

#### Headers

<table><thead><tr><th width="191">Name</th><th width="367">Type</th><th>Description</th></tr></thead><tbody><tr><td>Authorization<mark style="color:red;">*</mark></td><td>HMAC {key}:{signature}:{nonce}:{timestamp}</td><td></td></tr><tr><td>Content-Type</td><td>application/json</td><td></td></tr></tbody></table>

{% tabs %}
{% tab title="200: OK " %}
{% code fullWidth="false" %}

```json
{
    "logs": [
        {
            "id": "222",
            "type": "user_action_log",
            "attributes": {
                "id": 222,
                "action_type": "machine_stopped",
                "metadata": {},
                "user_id": null,
                "user_email": null,
                "organization_machine_id": 570,
                "created_at": "2026-01-14T13:54:27.176Z",
                "updated_at": "2026-01-14T13:54:27.176Z"
            }
        },
        {
            "id": "221",
            "type": "user_action_log",
            "attributes": {
                "id": 221,
                "action_type": "machine_started",
                "metadata": {
                    "machine_type_id": 7,
                    "machine_type_name": "Sand"
                },
                "user_id": 525,
                "user_email": "admin@vagon.io",
                "organization_machine_id": 570,
                "created_at": "2026-01-14T13:50:18.256Z",
                "updated_at": "2026-01-14T13:50:18.256Z"
            }
        },
        {
            "id": "220",
            "type": "user_action_log",
            "attributes": {
                "id": 220,
                "action_type": "machine_created",
                "metadata": {
                    "disk_size": 75,
                    "seat_plan_id": 209,
                    "seat_plan_name": "Creative Works Plan",
                    "file_storage_size": 25
                },
                "user_id": 525,
                "user_email": "admin@vagon.io",
                "organization_machine_id": 575,
                "created_at": "2026-01-14T13:49:56.091Z",
                "updated_at": "2026-01-14T13:49:56.091Z"
            }
        },
        {
            "id": "122",
            "type": "user_action_log",
            "attributes": {
                "id": 122,
                "action_type": "initial_connection_initiated",
                "metadata": {
                    "connection_type": "external_access"
                },
                "user_id": null,
                "user_email": null,
                "organization_machine_id": 570,
                "created_at": "2026-01-14T11:06:31.865Z",
                "updated_at": "2026-01-14T11:06:31.865Z"
            }
        },
        {
            "id": "121",
            "type": "user_action_log",
            "attributes": {
                "id": 121,
                "action_type": "machine_external_access_created",
                "metadata": {
                    "expires_at": "2026-01-14T12:06:27Z"
                },
                "user_id": 525,
                "user_email": "admin@vagon.io",
                "organization_machine_id": 570,
                "created_at": "2026-01-14T11:06:27.602Z",
                "updated_at": "2026-01-14T11:06:27.602Z"
            }
        },
    ]
}
```

{% endcode %}
{% endtab %}
{% endtabs %}
